STRUCT RIO_DRIVER(9)

NAME
struct_rio_driver - RIO driver info

SYNOPSIS

struct rio_driver {
  struct list_head node;
  char * name;
  const struct rio_device_id * id_table;
  int (* probe) (struct rio_dev * dev, const struct rio_device_id * id);
  void (* remove) (struct rio_dev * dev);
  int (* suspend) (struct rio_dev * dev, u32 state);
  int (* resume) (struct rio_dev * dev);
  int (* enable_wake) (struct rio_dev * dev, u32 state, int enable);
  struct device_driver driver;
};

MEMBERS

node
    Node in list of drivers

name
    RIO driver name

id_table
    RIO device ids to be associated with this driver

probe
    RIO device inserted

remove
    RIO device removed

suspend
    RIO device suspended

resume
    RIO device awakened

enable_wake
    RIO device enable wake event

driver
    LDM driver struct

DESCRIPTION

Provides info on a RIO device driver for insertion/removal and power management purposes.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT